Bug 1645017 - Atomic repos sync fails with GLib.Error('Server returned status 404: Not Found', 'g-io-error-quark', 1)
Summary: Atomic repos sync fails with GLib.Error('Server returned status 404: Not Foun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1690109 1689504 1690112
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-01 08:51 UTC by Peter Ondrejka
Modified: 2019-10-07 17:19 UTC (History)
9 users (show)

Fixed In Version: pulp-ostree-1.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:43 UTC
Pulp Redmine 3999 Normal CLOSED - CURRENTRELEASE Publishing incorrect branch head. 2019-02-22 22:31:40 UTC

Description Peter Ondrejka 2018-11-01 08:51:43 UTC
Description of problem:
Pstree sync of the  rhel-atomic-host-beta-ostree repo fails with warning (will attach prodlog):

OST0005: Fetch summary failed. Reason: GLib.Error('Server returned status 404: Not Found', 'g-io-error-quark', 1)

The rhel-atomic-host-ostree synchronizes ok with default settings, but when custom depth is set, the synchronization fails this time with:

OST0006: Pulling local refs failed. Reason: GLib.Error('No such file or directory', 'g-io-error-quark', 1)

This seems to apply only to RH trees, custom Fedora tree syncs as expected with various depth settings

Additional info:
Seen in 6.5 snap 1, related packages:

satellite-6.5.0-3.beta.el7sat.noarch
ostree-2017.1-2.atomic.el7.x86_64
pulp-ostree-plugins-1.3.1-1.el7sat.noarch
python-pulp-ostree-common-1.3.1-1.el7sat.noarch

Comment 6 John Mitsch 2018-12-18 16:17:03 UTC
I'm not sure if this is a duplicate of bug 1645067 as I can't reproduce 1645067 upstream, but I can reproduce this BZ(1645017).

I filed an issue on pulp here https://pulp.plan.io/issues/4276

Brad, can we remove the duplication?

Comment 7 pulp-infra@redhat.com 2018-12-18 16:24:43 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2018-12-18 16:24:44 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 9 David Davis 2018-12-18 21:27:28 UTC

*** This bug has been marked as a duplicate of bug 1625783 ***

Comment 10 pulp-infra@redhat.com 2018-12-18 21:31:45 UTC
The Pulp upstream bug status is at CLOSED - DUPLICATE. Updating the external tracker on this bug.

Comment 11 Brad Buckingham 2019-01-02 05:39:33 UTC
Re-opening based upon comment 6.  Also, removing pulp redmine 4276 & adding 3999.

Comment 12 pulp-infra@redhat.com 2019-01-02 10:46:04 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 13 pulp-infra@redhat.com 2019-01-02 10:46:05 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 14 pulp-infra@redhat.com 2019-01-02 10:56:29 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 15 Zach Huntington-Meath 2019-01-03 14:42:18 UTC
Moving this back to POST until 2.18.1 and there is a new release of pulp-ostree.

Comment 16 pulp-infra@redhat.com 2019-02-07 22:02:16 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 17 pulp-infra@redhat.com 2019-02-22 22:31:41 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 18 jcallaha 2019-04-02 20:18:10 UTC
Verified in Satellite 6.5.0 Snap 22.

Red Hat Enterprise Linux Atomic Host Beta RPMs x86_64 now syncs successfully.

Comment 21 errata-xmlrpc 2019-05-14 12:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.